Package org.bukkit.block

# Interface Lockable

All Known Subinterfaces:
  `Barrel`, `Beacon`, `BlastFurnace`, `BrewingStand`, `Chest`, `Container`, `Dispenser`, `Dropper`, `Furnace`, `Hopper`, `ShulkerBox`, `Smoker`

public interface Lockable
Represents a block (usually a container) that may be locked. When a lock is active an item with a name corresponding to the key will be required to open this block.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getLock()`
Gets the key needed to access the container.
`boolean`
`isLocked()`
Checks if the container has a valid (non empty) key.
`void`
`setLock(@Nullable String key)`
Sets the key required to access this container.

## Method Details

### isLocked

boolean isLocked()
Checks if the container has a valid (non empty) key.

Returns:
  true if the key is valid.

### getLock

@NotNull @NotNull String getLock()
Gets the key needed to access the container.

Returns:
  the key needed.

### setLock

void setLock(@Nullable @Nullable String key)
Sets the key required to access this container. Set to null (or empty string) to remove key.

Parameters:
  `key` - the key required to access the container.